using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entity = BookingModule.Entity.AvailabilityRequest;
using Service = ThirdPartyBookingFeature.ThirdPartyBookingServiceReference.AvailabilityRequest;

namespace ThirdPartyBookingFeature.Mapping
{
    public static class AvailabilityRequestMap
    {
        public static Entity ServiceToEntity(Service source)
        {
            Entity result = new Entity();
            result.DepartureDate = source.DepartureDate;
            result.Destination = source.Destination;
            result.Origin = source.Origin;
            result.ReturnDate = source.ReturnDate;

            return result;
        }

        public static Service EntityToService(Entity source)
        {
            Service result = new Service();
            result.DepartureDate = source.DepartureDate;
            result.Destination = source.Destination;
            result.Origin = source.Origin;
            result.ReturnDate = source.ReturnDate;

            return result;
        }
    }
}
